package cn.teammodel.model.vo.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @author winter
 * @create 2023-12-06 14:47
 */
@Data
public class AppraiseIndexData {
    @ApiModelProperty("评价数据的总数")
    private Integer totalCount = 0;
    @ApiModelProperty("表扬总数")
    private Integer praiseCount = 0;
    @ApiModelProperty("批评总数")
    private Integer criticalCount = 0;
    @ApiModelProperty("使用老师的总数")
    private Integer teacherCount = 0;
    @ApiModelProperty("被评价学生的总数")
    private Integer studentCount = 0;
    @ApiModelProperty("学期中按周分布的评级数据")
    private Map<Long, Integer> countByWeek;
}
